# Class DebugPostProcessorBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
org.apache.jmeter.testbeans.BeanInfoSupport
org.apache.jmeter.extractor.DebugPostProcessorBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class DebugPostProcessorBeanInfo extends BeanInfoSupport

## Field Summary

### Fields inherited from class BeanInfoSupport

`DEFAULT, MULTILINE, NOT_EXPRESSION, NOT_OTHER, NOT_UNDEFINED, RESOURCE_BUNDLE, TAGS, TEXT_LANGUAGE`

### Fields inherited from interface BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`DebugPostProcessorBeanInfo()`

## Method Summary

### Methods inherited from class BeanInfoSupport

`createPropertyGroup, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, property, property, property, setIcon`

### Methods inherited from class SimpleBeanInfo

`loadImage`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DebugPostProcessorBeanInfo

public DebugPostProcessorBeanInfo()